//
//  PaperViewController.m
//  WallpaperBrowser
//
//  Created by Main Account on 10/31/13.
//  Copyright (c) 2013 Razeware LLC. All rights reserved.
//

#import "PaperViewController.h"

static int const RWTotalWallperMonths = 12;

@interface PaperViewController()

@property (strong, nonatomic) NSMutableArray *images;
@property (weak, nonatomic) IBOutlet UIImageView *imageView;

@end

@implementation PaperViewController

#pragma mark - Lifecycle

-(instancetype) initWithCoder:(NSCoder *)aDecoder{
    self = [super initWithCoder:aDecoder];
    if (self) {
        _images = [NSMutableArray arrayWithCapacity:RWTotalWallperMonths];
        for (int i = 0; i <= RWTotalWallperMonths; ++i) {
            NSString *imageName = [NSString stringWithFormat:@"%02d.jpg", i];
            [_images addObject:imageName];
        }
    }
    return self;
}

- (void)viewWillAppear:(BOOL)animated {
    
    NSString *wallpaperFileName = self.images[self.monthToShow];
    self.imageView.image = [UIImage imageNamed:wallpaperFileName];
}

@end
