//
//  RWWallpaperService.m
//  WallpaperBrowser
//
//  Created by Brian Moakley on 3/10/14.
//  Copyright (c) 2014 Razeware LLC. All rights reserved.
//

#import "RWWallpaperService.h"

@implementation RWWallpaperService

-(void) connect
{
    NSString *webService = @"http://www.raywenderlich.com/demos/simple_post/simple_post.php";
    NSString *webServiceWithParam = [NSString stringWithFormat:@"%@?wallpaper=%d", webService, self.wallpaperID];
    NSURL *url = [NSURL URLWithString:webServiceWithParam];
    
    
    NSURLSessionConfiguration *sessionConfig = [NSURLSessionConfiguration defaultSessionConfiguration];
    NSURLSession *session = [NSURLSession sessionWithConfiguration:sessionConfig delegate:self delegateQueue:nil];
    
    __weak RWWallpaperService * weakSelf = self;
    NSURLSessionDataTask *jsonData = [session dataTaskWithURL:url completionHandler:^(NSData *data, NSURLResponse *response, NSError *error) {
        NSHTTPURLResponse *httpResponse = (NSHTTPURLResponse *) response;
        
        if (!error && httpResponse.statusCode == 200)
        {
            BOOL canAccess = [weakSelf canAccess:data];
            if (canAccess)
            {
                dispatch_async(dispatch_get_main_queue(), ^{
                    if (self.delegate)
                    {
                        [self.delegate allowAccess];
                    }
                });
            }
            else
            {
                dispatch_async(dispatch_get_main_queue(), ^{
                    if (self.delegate)
                    {
                        [self.delegate denyAccess:nil];
                    }
                });
            }
        }
    }];
    [jsonData resume];
}

-(BOOL) canAccess: (NSData *) data
{
    BOOL canAccess = NO;
    
    NSDictionary *json = [NSJSONSerialization JSONObjectWithData:data options:NSJSONReadingAllowFragments error:nil];
    NSNumber *result = json[@"result"];
    if (result && result.intValue == 1)
    {
        canAccess = YES;
    }
    
    return canAccess;
    
}



@end
